From 50950f2c27f7688c93ff6c87978515b0a6b27c7f Mon Sep 17 00:00:00 2001
From: "Carl N. Baldwin" <cnb@Cone.local>
Date: Sat, 22 Oct 2005 11:30:25 -0600
Subject: [PATCH] Add option to find-cmd.sh

---
 scripts/find-cmd.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/scripts/find-cmd.sh b/scripts/find-cmd.sh
index 964dd15..51a3749 100755
--- a/scripts/find-cmd.sh
+++ b/scripts/find-cmd.sh
@@ -1,7 +1,9 @@
 #!/bin/sh
 
+[ $# == 1 ] || exit 1
+
 {
   for type in d f l; do
-    find . -type $type -printf "$type %#m %u %g %s %CY%Cm%Cd%CH%CM%CS 0 %p\0"
+    find $1 -type $type -printf "$type %#m %u %g %s %CY%Cm%Cd%CH%CM%CS 0 %p\0"
   done
 }
-- 
2.34.1